# Gtk::Border Class Reference

List of all members.

## Public Member Functions

| Border ()
| Border (GtkBorder* gobject, bool make_a_copy=true)
| Border (const Border& other)
Border& | operator= (const Border& other)
| ~Border ()
void | swap (Border& other)
GtkBorder* | gobj ()
| Provides access to the underlying C instance.
const GtkBorder* | gobj () const
| Provides access to the underlying C instance.
GtkBorder* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
int | get_left () const
void | set_left (const int&value)
int | get_right () const
void | set_right (const int&value)
int | get_top () const
void | set_top (const int&value)
int | get_bottom () const
void | set_bottom (const int&value)

## Protected Attributes

GtkBorder* | gobject_

## Related Functions

(Note that these are not member functions.)
void | swap (Border& lhs, Border& rhs)
Gtk::Border | wrap (GtkBorder* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

Gtk::Border::Border | ( |  | ) |

Gtk::Border::Border | ( | GtkBorder * | gobject,
|  | bool | make_a_copy = `true` |
| ) |  |  | `[explicit]`

Gtk::Border::Border | ( | const Border& | other | ) |

Gtk::Border::~Border | ( |  | ) |

## Member Function Documentation

int Gtk::Border::get_bottom | ( |  | ) | const

int Gtk::Border::get_left | ( |  | ) | const

int Gtk::Border::get_right | ( |  | ) | const

int Gtk::Border::get_top | ( |  | ) | const

const GtkBorder* Gtk::Border::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

GtkBorder* Gtk::Border::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

GtkBorder* Gtk::Border::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

Border& Gtk::Border::operator= | ( | const Border& | other | ) |

void Gtk::Border::set_bottom | ( | const int & | value | ) |

void Gtk::Border::set_left | ( | const int & | value | ) |

void Gtk::Border::set_right | ( | const int & | value | ) |

void Gtk::Border::set_top | ( | const int & | value | ) |

void Gtk::Border::swap | ( | Border& | other | ) |

## Friends And Related Function Documentation

void swap | ( | Border& | lhs,
|  | Border& | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side
  | rhs | The right-hand side

Gtk::Border wrap | ( | GtkBorder * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GtkBorder* Gtk::Border::gobject_`[protected]`

The documentation for this class was generated from the following file:

- gtkmm/border.h